# $Revision: 1.36.2.1 $, $Date: 2003/03/13 00:58:46 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Storable
%define		pnam	Storable
Summary:	Storable Perl module
Summary(cs):	Modul Storable pro Perl
Summary(da):	Perlmodul Storable
Summary(de):	Storable Perl Modul
Summary(es):	Mdulo de Perl Storable
Summary(fr):	Module Perl Storable
Summary(it):	Modulo di Perl Storable
Summary(ja):	Storable Perl ⥸塼
Summary(ko):	Storable  
Summary(no):	Perlmodul Storable
Summary(pl):	Modu Perla Storable
Summary(pt):	Mdulo de Perl Storable
Summary(pt_BR):	Mdulo Perl Storable
Summary(ru):	  Perl Storable
Summary(sv):	Storable Perlmodul
Summary(uk):	  Perl Storable
Summary(zh_CN):	Storable Perl ģ
Name:		perl-Storable
Version:	2.06
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
BuildRequires:	perl-Test-Simple >= 0.41
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Storable - persistency for Perl data structures.

%description -l pl
Storable - modu umoliwiajcy przechowywanie struktur danych Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install DESTDIR=$RPM_BUILD_ROOT

pod2man --section=3pm Storable.pm $RPM_BUILD_ROOT%{_mandir}/man3/Storable.3pm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_archlib}/Storable.pm
%dir %{perl_archlib}/auto/Storable
%{perl_archlib}/auto/Storable/autosplit.ix
%{perl_archlib}/auto/Storable/*.al
%{perl_archlib}/auto/Storable/*.bs
%attr(755,root,root) %{perl_archlib}/auto/Storable/*.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Storable.spec,v $
Revision 1.36.2.1  2003/03/13 00:58:46  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.36  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.35  2003/02/18 15:38:22  ankry
- massive attack: change CPAN URLs

Revision 1.34  2002/11/26 10:04:36  mis
- autoupdated to 2.06

Revision 1.33  2002/10/28 15:48:27  ankry
- version 2.05, added tests

Revision 1.32  2002/07/20 15:06:21  qboosh
- updated to 2.04 (bugfix)
- removed .packlist, added man page fixed permissions, BR: perl-Test-Simple

Revision 1.31  2002/07/16 11:35:41  ankry
- translations, cleaning
- release 2

Revision 1.30  2002/07/11 22:20:11  qboosh
- new %%doc and cosmetics

Revision 1.29  2002/07/11 08:04:03  depesz
- new version; should work; STBR

Revision 1.28  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/03/03 22:04:41  marcus
- rel.2.

Revision 1.26  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/09 10:56:41  kloczek
- updated to 1.0.14.

Revision 1.24  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/09/08 07:39:47  kloczek
- updated to 1.0.13.

Revision 1.22  2001/07/06 14:13:56  kloczek
- updated to 1.0.12.

Revision 1.21  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.20  2001/04/17 12:15:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.19  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.18  2001/03/15 10:39:11  mis
- updated (by autoup) to 1.0.11

Revision 1.17  2001/02/20 15:59:52  mis
- updated (by autoup) to 1.0.10

Revision 1.16  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.15  2001/01/23 20:51:18  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.14  2001/01/22 18:41:56  baggins
- updated to 1.0.7

Revision 1.13  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/09 15:10:33  depesz
- perl 5.6 is not *required* to build perl-Storable!!!

Revision 1.11  2000/12/04 12:40:24  kloczek
- rebuild against perl 5.6,
- use new rpm automation.

Revision 1.10  2000/12/03 15:31:50  depesz
- added patch to fix man problem

Revision 1.9  2000/12/03 14:58:11  depesz
updated to version 1.0.6

Revision 1.8  2000/09/05 00:53:58  kloczek
- updated to 0.7.4.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 07:00:09  kloczek
- updated to 0.6.9.

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/02 22:14:02  pius
- fixed Source url

Revision 1.1  1999/11/02 22:09:55  pius
- initial release
